/*
 * functions.h
 *
 *  Created on: 10.11.2011
 *      Author: ixert
 */

#ifndef FUNCTIONS_H_
#define FUNCTIONS_H_

#include <vector>
#include <time.h>
#include "globalVariables.h"
#include "nr3.h"
#include "StateTemplate.h"
using namespace std;

bool testNRSolution(MatDoub const &A, VecDoub const &x, VecDoub const &b);

void invertSorting(VecDoub &eval, MatDoub &evec);
void sortEigenvaluesAndStates(VecDoub &eval, vector<StateDouble> &vs);

void printProcessingTime(time_t startingTime);

vector<unsigned int> createPosNot(unsigned int const &n, vector<unsigned int> const &pos);

#endif /* FUNCTIONS_H_ */
