/*
 * main.cpp
 *
 *  Created on: 09.11.2011
 *      Author: ixert
 */

#include <iostream>
#include <time.h>
#include <sstream>
#include <gmp.h>
#include <gmpxx.h>
#include "functions.h"
#include "GraphController.h"

using namespace std;

int main(){
	time_t startingTime = time(NULL);
	srand(time(NULL));
    
    //// DEFINE PARAMETERS ////
    stringstream ssParametersConfigFile;
    ssParametersConfigFile << "parameters.config";
    bool testOutput=true;
    ///////////////////////////    
    
    GraphController gc(ssParametersConfigFile,testOutput);
    gc.performCalculation();

	// processing time //
    cout << "Processing Time: ";
	printProcessingTime(startingTime);

	return 0;
}
