/*
 * SpinModelTDLClass.h
 *
 *  Created on: 28.08.2014
 *      Author: dominik-ixert
 */

#ifndef SPINMODELTDLCLASS_H_
#define SPINMODELTDLCLASS_H_

#include "SpinModelClass.h"

class SpinModelTDLClass: public SpinModelClass {
friend istream& operator>>(istream &o, SpinModelTDLClass &s);
friend ostream& operator<<(ostream &o, SpinModelTDLClass &s);
private:
	int originType;
	vector<vector<int> > siteVectors;
public:
	SpinModelTDLClass();
	int getOriginType();

	vector<vector<int> > getSiteVectors();
};

#endif /* SPINMODELTDLCLASS_H_ */
