/*
 * functions.h
 *
 *  Created on: 10.11.2011
 *      Author: ixert
 */

#ifndef FUNCTIONS_H_
#define FUNCTIONS_H_

#include <time.h>
#include <vector>
#include <gmpxx.h>
#include <gmp.h>
#include<map>
using namespace std;

void printProcessingTime(time_t startingTime);

mpz_class pow(mpz_class const &a,unsigned int const &b);

void calculateAllPermutations(vector<unsigned short> const &allSites, vector<vector<unsigned short> > &allPermutations1);

bool vectorLeq(vector<unsigned int> const &v1, vector<unsigned int> const &v2);

int findSiteTypeInBasis(vector<int> const &actualSite, vector<vector<int> > const &interUnitCellVectors, map<int,vector<int> > const &intraUnitCellVectors);

#endif /* FUNCTIONS_H_ */
