#include "mathFunctions.h"
#include <math.h>
#include <complex>
#include "SeriesTemplate.h"

unsigned int faculty(unsigned int const &x){
	unsigned int y=1;
	for(unsigned int i=2;i<=x;i++){
		y*=i;
	}
	return y;
}

Doub myAbs(SeriesTemplate<Complex,ExponentsTemplate<int> > const &x){
	SeriesTemplate<Doub,ExponentsTemplate<int> > realSeries=x.real();
	SeriesTemplate<Doub,ExponentsTemplate<int> > imagSeries=x.imag();
	return sqrt((realSeries.getMaxAmplitude()*realSeries.getMaxAmplitude())+(imagSeries.getMaxAmplitude()*imagSeries.getMaxAmplitude()));
}

Doub myAbs(Complex const &x){
	return abs(x);
}
