/*
 * functions.cpp
 *
 *  Created on: 10.11.2011
 *      Author: ixert
 */

#include "functions.h"

bool testNRSolution(MatDoub const &A, VecDoubSeries const &x, VecDoubSeries const &b){
	bool retValue=true;
	unsigned int n=A.nrows();
	unsigned int m=A.ncols();
	for(unsigned int i=0;i<n;i++){
		SeriesDouble tempVar;
		for(unsigned int j=0;j<m;j++){
			tempVar+=A[i][j]*x[j];
		}
		tempVar-=b[i];
		//cout << tempVar << "\n";
		std::cout << "tempVar=" << tempVar << "\n";
		if(myAbs(tempVar.getMaxAmplitude())>zeroGlsEPS){
			retValue=false;
		}
	}
	return retValue;
}



void printProcessingTime(time_t startingTime){
    time_t processingTime = time(NULL) - startingTime;
	time_t hours = processingTime / 3600;
	time_t minutes = processingTime / 60 - 60 * hours;
	time_t seconds = processingTime - hours * 3600 - minutes * 60;
	cout << hours << " hours, " << minutes << " minutes and " << seconds << " seconds.\n";
}
