/*
 * GlobalConfiguration.cpp
 *
 *  Created on: 01.12.2010
 *      Author: klagges
 */

#include <Interface/GlobalConfiguration.h>

void GlobalConfiguration::streamOutExample(std::ostream& stream) {

	stream
			<< "# The global configuration file.\n\n"
			<< "# The order to which the calculations should be done\n"
			<< "4\n\n"
			<< "# The order from which (the minimal order) the calculations should be done.\n"
			<< "1\n\n"
			<< "# The maximal number of threads that should be created to perform calculations in parallel.\n"
			<< "1\n"
			<< "# The amount of status outputs the program should do over the cerr pipe.\n\n"
			<< "# 0: No output\n"
			<< "# 1: Some output of what the program is doing (Loaded, executed modules...)\n"
			<< "# 2: more output of what is happening (processed terms...)\n"
			<< "# 3: Detailed output of what exactly is going on (processed bonds...)\n"
			<< "1\n";

}

void GlobalConfiguration::streamIn(std::istream& stream) {

	stream >> order >> minOrder >> numberOfThreads >> verbosityLevel;

	currentOrder = 0;

}
