/*
 * dot.cpp
 *
 *  Created on: 08.12.2011
 *      Author: kalis
 */

#include <Modules/DataProcessor/BondfilePlotter/BondfilePlotter.h>

void BondfilePlotter::dot::createDotScript(std::string name) {
	nameOfDotScript = name + ".gv";
	std::string exec;
	exec = "touch " + name + ".gv";
	system(exec.c_str());
	return;
}

void BondfilePlotter::dot::addCommandLineToScript(std::string command) {
	std::fstream filestr;
	filestr.open(nameOfDotScript.c_str(),
			std::fstream::in | std::fstream::out | std::fstream::app);
	filestr << command.c_str() << std::endl;
	filestr.close();
	return;
}

void BondfilePlotter::dot::executeDotScript(bool directed,
		std::string imageName) {
	if (directed) {
		std::string exec = "neato " + nameOfDotScript + "  -Tpng -o" + imageName + ".png";
		system(exec.c_str());
	} else {
		std::string exec = "neato " + nameOfDotScript + " -Tpng -o" + imageName + ".png";
		system(exec.c_str());
	}
	return;
}

void BondfilePlotter::dot::deleteDotScript() {
	std::string remove;
	remove = "rm -rf " + nameOfDotScript;
	system(remove.c_str());
	return;
}
