/*
 * ListedOperator.cpp
 *
 *  Created on: 19.02.2011
 *      Author: klagges
 */

#include <Modules/DataProcessor/Loewdin/TwoSideSolver/TwoSideSolver.h>

std::ostream& Loewdin::operator<<(std::ostream& o,
		TwoSideSolver::ListedOperator& tsor) {

	o << "Left side : ";

	for (std::list<Utilities::OperatorDescription>::iterator it =
			tsor.leftSideOperators.begin(); it != tsor.leftSideOperators.end(); it++) {

		o << *it;

	}
	o << "\nRight side: ";
	for (std::list<Utilities::OperatorDescription>::iterator it =
			tsor.rightSideOperators.begin(); it
			!= tsor.rightSideOperators.end(); it++) {

		o << *it;

	}

	o << "\n\n";

	return o;

}
