/*
 * ListedTerm.cpp
 *
 *  Created on: 23.02.2011
 *      Author: klagges
 */

#include <Modules/DataProcessor/Takahashi/DirectSolver/DirectSolver.h>

std::ostream& Takahashi::operator<<(std::ostream& o,
		DirectSolver::ListedTerm& lt) {

	o << "Operators : ";

	for (std::list<Utilities::OperatorDescription>::iterator it =
			lt.listedOperators.begin(); it != lt.listedOperators.end(); it++) {

		o << *it;

	}

	o << "\n\n";

	return o;

}

bool Takahashi::operator<(const DirectSolver::ListedTerm& l,
		const DirectSolver::ListedTerm& r) {

	if (l.listedOperators.size() < r.listedOperators.size())
		return true;
	if (l.listedOperators.size() == r.listedOperators.size())
		if (l.term.operators < r.term.operators)
			return true;

	return false;

}

