/*
 * Configuration.cpp
 *
 *  Created on: 05.10.2011
 *      Author: klagges
 */

#include <Modules/DataWriter/DefaultWriter/DefaultWriter.h>

void DefaultWriter::Configuration::streamOutExample(std::ostream& stream) {

	stream << "# This is the configuration file for the DefaultWriter.\n\n"
			<< "# 0 = write to std::cout, 1 = write to file.\n" << "0\n\n"
			<< "# 0 = only give out the data, 1 = additionally give out the explanation of the data.\n"
			<< "1\n\n" << "# Give out the left input state.\n" << "1\n\n"
			<< "# Give out the right input state.\n" << "1\n\n"
			<< "# Give out the output state.\n" << "1\n\n"
			<< "# Give out the output amplitude.\n" << "1\n\n"
			<< "# The number of digits the should be given out for floating point values.\n"
			<< "10\n";

}

void DefaultWriter::Configuration::streamIn(std::istream& stream) {

	stream >> outputInFile >> outputExplanations >> leftInputState
			>> rightInputState >> outputState >> outputAmplitude >> digits;

}
