/*
 * Configuration.cpp
 *
 *  Created on: 24.11.2011
 *      Author: kalis
 */

#include <Modules/LatticeProvider/ClusterInFieldDispersion/ClusterInFieldDispersion.h>

void ClusterInFieldDispersion::Configuration::streamOutExample(
		std::ostream& stream) {

	stream
			<< "# This is the configuration file for the Cluster in Field Lattice Provider.\n"
			<< "# Please choose which output you prefer ( 1 = yes ), ( 0 = no )\n"
			<< "# File Output (saved in a .res file) \n" << "\n" << "\n"
			<< "# Console Output \n" << "\n" << "\n"
			<< "# Please choose wheather you like to generate a maple compatible dispersion \n"
			<< "\n" << "\n"
			<< "# Please choose wheather you like to start your calculation with a 1QP or 0QP\n"
			<< "# calculation;\n" << "# (1 = only perform 1QP)\n"
			<< "# (0 = perform ONE 0QP calculation before subsequent following 1QP)\n"
			<< "\n" << "\n"
			<< "# Please choose whether you like to perform a full calcluation or you`d\n"
			<< "# like to process specified hopping terms\n"
			<< "# (1 = full), (0 = specified -> hopping terms should follow)\n"
			<< "\n" << "# hopping terms here!";

}

void ClusterInFieldDispersion::Configuration::streamIn(std::istream& stream) {

	stream >> file_out >> console_out >> generate_dispersion >> startWith1QP
			>> fullHopping;
	if (!fullHopping) {
		std::vector<unsigned int> tempdist;
		unsigned int x, y;
		while (stream.good()) {
			stream >> x >> y;
			tempdist.push_back(x);
			tempdist.push_back(y);
			dist.push_back(tempdist);
			tempdist.clear();
		}
	}
}
