/*
 * EqualsZero.h
 *
 *  Created on: 20.09.2011
 *      Author: klagges
 */

#ifndef EQUALSZERO_H_
#define EQUALSZERO_H_

#include <complex.h>

namespace Utilities {

/** Test if value equals zero.*/
template<typename T>
inline bool equalsZero(const T & value) {
	return value == 0;
}

template<typename T>
inline bool equalsZero(const std::complex<T> & value) {
	return value == std::complex<T>(0);
}

}

#endif /* EQUALSZERO_H_ */
