/*
 * main.cpp
 *
 *  Created on: Sep 1, 2014
 *      Author: ixert
 */

#include<iostream>
#include<sstream>
#include <time.h>
#include<omp.h>
#include "EDController.h"
#include "functions.h"
#include "globalVariables.h"

using namespace std;

int main(int argc, char *argv[]){
	cout << "STARTING THE PROGRAM!\n";
	time_t startingTime = time(NULL);
	srand(time(NULL));
	//srand(1438937436);

	// initialize openMP Threads
	omp_set_num_threads(numberOfThreads);

	if(argc!=2){
		cout << "wrong number of parameters!\n";
		return 1;
	}
	stringstream ssParametersConfigFile(argv[1]);

	EDController EDC(ssParametersConfigFile.str());
	EDC.startCalculation();

	// processing time //
    cout << "Processing Time: ";
	printProcessingTime(startingTime);

	return 0;
}


