#include "mathFunctions.h"
#include <math.h>
#include <complex>
#include "SeriesTemplate.h"


Doub myAbs(SeriesTemplate<Complex,ExponentsTemplate<int> > const &x){
	SeriesTemplate<Doub,ExponentsTemplate<int> > realSeries=x.real();
	SeriesTemplate<Doub,ExponentsTemplate<int> > imagSeries=x.imag();
	return sqrt((realSeries.getMaxAmplitude()*realSeries.getMaxAmplitude())+(imagSeries.getMaxAmplitude()*imagSeries.getMaxAmplitude()));
}

Doub myAbs(Complex const &x){
	return abs(x);
}
