/*
 * orthogonalization.h
 *
 *  Created on: Jul 24, 2012
 *      Author: ixert
 */

#ifndef ORTHOGONALIZATION_H_
#define ORTHOGONALIZATION_H_

#include "globalVariables.h"
#include "nr3.h"
#include "StateTemplate.h"
#include "mathFunctions.h"

void MGS(StateDouble &s, vector<StateDouble> &basis);
void MGSWithoutSqrt(StateDouble &s, vector<StateDouble> &basis);
void MGSQP(StateDouble &s, vector<StateDouble> &basis, vector<unsigned int> &q);
void MGSQPWithoutSqrt(StateDouble &s, vector<StateDouble> &basis, vector<unsigned int> &q);

#endif /* ORTHOGONALIZATION_H_ */
