/*
 * stepper.h
 *
 *  Created on: Jul 27, 2012
 *      Author: ixert
 */

#ifndef STEPPER_H_
#define STEPPER_H_

#include "nr3.h"

struct StepperBase {
	Doub &x;
	Doub xold;
	VecDoub &y,&dydx;
	Doub atol,rtol;
	bool dense;
	Doub hdid;
	Doub hnext;
	Doub EPS;
	Int n,neqn;
	VecDoub yout,yerr;
	StepperBase(VecDoub_IO &yy, VecDoub_IO &dydxx, Doub &xx, const Doub atoll,
		const Doub rtoll, bool dens);
};


#endif /* STEPPER_H_ */
