// define global variables for use in complete program

#ifndef GLOBALVARIABLES_H_
#define GLOBALVARIABLES_H_

#include "nr3.h"
#include<map>

extern Doub zeroEPS;
extern Doub zeroNormQuadEPS;
extern Doub zeroOrthoEPS;
extern Doub zeroResEPS;
extern Doub zeroGlsEPS;
extern Doub zeroCutoffEPS;

extern map<short,short> inverseCouplings; //this assumes that each coupling has an inverse coupling (even if this inverse coupling it the coupling itself); This can of course be extended for "one-way couplings"
extern map<short,unsigned short> couplingIndex; // must start at 0!

#endif /* GLOBALVARIABLES_H_ */
