/*
 * mathFunctions.h
 *
 *  Created on: 22.07.2013
 *      Author: dominik-ixert
 */

#ifndef MATHFUNCTIONS_H_
#define MATHFUNCTIONS_H_

#include<gmpxx.h>
#include<gmp.h>
#include "nr3.h"

using namespace std;

template<class T>
class ExponentsTemplate;

template<class T,class S>
class SeriesTemplate;

template<class T>
T myAbs(T const &x){
	if(x<0){
		return -x;
	}
	else{
		return x;
	}
}

mpq_class pow(mpq_class const &x, int const &n);

Doub myAbs(SeriesTemplate<Complex,ExponentsTemplate<int> > const &x);
Doub myAbs(SeriesTemplate<Doub,ExponentsTemplate<int> > const &x);
Doub myAbs(SeriesTemplate<mpq_class,ExponentsTemplate<int> > const &x);
Doub myAbs(Complex const &x);

Doub conj(Doub const &x);

unsigned int faculty(unsigned int const &x);




#endif /* MATHFUNCTIONS_H_ */
