/*
 * Bond.cpp
 *
 *  Created on: 21.09.2011
 *      Author: klagges
 */

#include <Interface/Bond.h>

std::istream& operator>>(std::istream& i, Bond& b) {

	i >> b.operatorNumber;

	char buffer[2048];

	i.getline(buffer, 2048, ';');

	std::string s(buffer);
	s.append(" ");
	std::stringstream ss(s);

	unsigned int site;

	while (true) {
		ss >> site;

		if (!ss.good())
			break;

		b.sites.push_back(site);

	}

	return i;

}

std::ostream& operator<<(std::ostream& o, const Bond& b) {

	o << b.index << "  " << b.operatorNumber << "  ";

	for (std::list<unsigned int>::const_iterator sitesIt =
			b.sites.begin(); sitesIt != b.sites.end();
			sitesIt++) {

		o << *sitesIt << " ";

	}

	o << ";";

	return o;

}
