/*
 * ModelProperties.cpp
 *
 *  Created on: 02.12.2010
 *      Author: klagges
 */

#include <Interface/ModelProperties.h>

void ModelProperties::streamOutExample(std::ostream& stream) {

	stream << "# Problem specific options of global relevance.\n\n"
			<< "# The number of bits to represent a lattice site of the system\n" << "4\n\n"
			<< "# The number of expansion parameters\n" << "1\n\n"
			<< "# The Number N, so that the perturbation operator can be written in the form\n"
			<< "# V = T_0 + T_1 + T_-1 + ... + T_N + T_-N\n" << "1\n\n"
			<< "# The energy of the P eigenstate of H_0.\n" << "-4\n\n"
			<< "# The (maximal) distance between two neighboring energy levels of H_0.\n" << "4\n";

}

void ModelProperties::streamIn(std::istream& stream) {

	stream

	>> bitsPerLatticeSite >> numberOfExpansionParameters >> Nmax >> energyDelta;

}
