/*
 * Configuration.cpp
 *
 *  Created on: 30.11.2011
 *      Author: klagges
 */

#include <Modules/DataProcessor/Loewdin/Common/Configuration.h>

void Loewdin::Configuration::streamOutExample(std::ostream& stream) {

	stream
			<< "# Example for a Loewdin Configuration file.\n\n"
			<< "# The coefficients file to use\n"
			<< "LoewdinCoefficients.cof\n\n"
			<< "# If '1', the internally calculated energy values should be given out through the cout pipe.\n"
			<< "0\n";

}

void Loewdin::Configuration::streamIn(std::istream& stream) {

	stream >> nameOfCoefficientsFile >> extraOutput;

}

