/*
 * Term.h
 *
 *  Created on: 15.04.2011
 *      Author: kamfor
 */

#ifndef PCUTTERM_H_
#define PCUTTERM_H_

#include <Interface/Interface.h>

/**
*/
namespace PCUT {

/**
*/
class Term {
public:

	void apply( State &s);

	/** The prefactor of the term. */
	amplitude factor;

	/** 
	 */
	std::list<char> operators;

	short lowestQPSectorReached;

};

/** Stream out as a string like 3 T2T0....T-1 1/42*/
std::ostream& operator<<(std::ostream& o, const Term& d);

/** Stream in from a string like 3 T2T0....T-1 1/42*/
std::istream& operator>>(std::istream& i, Term& d);

}

#endif /* PCUTTERM_H_ */
