/*
 * TreeSolver.cpp
 *
 *  Created on: 15.04.2010
 *      Author: kamfor, klagges
 *
 */

#include <Modules/DataProcessor/PCUT/TreeSolver/TreeSolver.h>
#include <Framework/Solver.h>

PCUT::TreeSolver::TreeSolver() {

	nameOfCoefficientsFile.readFromConfigFile("PCUTConfiguration.cfg");

	coefficients.readFromCoefficientsFile(nameOfCoefficientsFile.value);

	//std::cout << coefficients;

}

void PCUT::TreeSolver::execute() {

	coefficients.root.calculateOutputStateRecursively(solver.inputStates.right, solver.outputState, Term());

	if (solver.globalConfiguration.verbosityLevel > 1)
		std::cerr << "\n";

}
