/*
 * Term.cpp
 *
 *  Created on: 06.02.2011
 *      Author: klagges
 */

#include <Modules/DataProcessor/Takahashi/Common/Term.h>
#include <Utilities/Utilities.h>
#include <Interface/ExpandedAmplitudeIO.h>
#include <Utilities/TypeCast.h>

// Stream out as a string like 3 -1/2 PVPVSSQVP
std::ostream& Takahashi::operator<<(std::ostream& o, Takahashi::Term& d) {

	o << d.order << " ";

	o << d.factor << " ";

	o << d.operators;

	return o;

}

// Stream in from a string like 3 -1/2 PVPVSSQVP
std::istream& Takahashi::operator>>(std::istream& i, Takahashi::Term& d) {

	i >> d.order;

	rational tempFactor;

	i >> tempFactor;

	Utilities::typeCast(tempFactor, d.factor);

	i >> d.operators;

	return i;
}

