/*
 * Configuration.cpp
 *
 *  Created on: 21.09.2011
 *      Author: klagges
 */

#include <Modules/LatticeProvider/LatticeFileLoader/LatticeFileLoader.h>

void LatticeFileLoader::Configuration::streamOutExample(std::ostream& stream) {

	stream
			<< "# This is the configuration file for the BondListFileLoader.\n\n"
			<< "# The name of the bond file to use.\n" << "BondFile.cfg\n\n"
			<< "# The name of the file to load the input states.\n"
			<< "InputStates.cfg\n";

}

void LatticeFileLoader::Configuration::streamIn(std::istream& stream) {

	stream >> bondFileName >> inputStatesName;

}
