/*
 * OperatorVector.h
 *
 *  Created on: 04.01.2011
 *      Author: klagges
 */

#ifndef OPERATORVECTOR_H_
#define OPERATORVECTOR_H_

#include <Utilities/Operator.h>

namespace Utilities {

/** A OperatorVector allows access to the operators with negative indexes. (i.e. access T_-1 by T[-1])*/
class OperatorVector: public std::vector<Utilities::Operator> {
public:

	/** Allow access to the T operators with negative indexes. (i.e. access T_-1 by T[-1])*/
	Utilities::Operator& operator[](const int index);

};

}

#endif /* OPERATORVECTOR_H_ */
